/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.media.engine.audio;

/**
 * MBean interface.
 */
public interface RtpAudioMediaPublisherMBean extends org.jboss.media.engine.MediaPublisherMBean
{

   /**
    * Returns the bitRate.
    * @return int
    */
   int getBitRate();

   /**
    * Returns the encoding.
    * @return String
    */
   java.lang.String getEncoding();

   /**
    * Sets the bitRate.
    * @param bitRate The bitRate to set
    */
   void setBitRate(int bitRate);

   /**
    * Sets the encoding.
    * @param encoding The encoding to set
    */
   void setEncoding(java.lang.String encoding);

   /**
    * Returns the resolution.
    * @return int
    */
   int getResolution();

   /**
    * Sets the resolution.
    * @param resolution The resolution to set
    */
   void setResolution(int resolution);

   int getChannels();

   void setChannels(int channels);

   void publish() throws javax.media.NoProcessorException, java.net.MalformedURLException, java.io.IOException,
         javax.media.NoDataSinkException;

   void stop();

   void addPluginGraph(org.jboss.media.engine.MediaPluginGraph pg);

}
